# Reset Usage Limit counters
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/usage-limits-management/reset-usage-limit-counters/index.md

## Overview {#overview}

The use case describes how you reset the counters for the usage limit.

By doing this, you can reset the cardholder's spending usage to zero within a specified usage limit. Let us assume you have a `DAILY_TOTAL limit` set in the CMS with the following properties:

* maxNumber = 10
* maxSingleAmount = 0
* maxTotalAmount = 0\*

<br />

These properties allow the cardholder to perform no more than 10 transactions daily.

If the cardholder has already successfully performed 10 transactions today, reaching the `maxNumber` limit, you can use the `resetUsageLimitCounters` API to reset the usage counters stored in the CMS for the cardholder to zero. This allows the cardholder to perform another 10 transactions.

## Sequence diagram {#sequence-diagram}

Diagram reset-usage-limit-counters

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/contracts/{contract_id}/usage-limits/{usage_limit_code}/resetting-counters` endpoint by passing the required `reset` field with the `true` value in the request body.  
   To reset the counters of the usage limit on the account contract or card contract level, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. Note: Possible values for the `usage_limit_code` parameter are defined during the onboarding process. Refer to [Usage Limits](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/usage-limits/index.md) for more information.
2. The API returns the HTTP status `204`. Tip: The `resetUsageLimitCounters` operation zeroes the values of `usedAmount` and `usedNumber` fields that can be retrieved with the `getUsageLimits` operation. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/reset-usage-limit-counters/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/usage-limits/{usage_limit_code}/resetting-counters`

